KTIME_TO_TIMESPEC_CO(9)

NAME
ktime_to_timespec_cond - convert a ktime_t variable to timespec format only if the variable contains data

SYNOPSIS

bool ktime_to_timespec_cond(const ktime_t kt, struct timespec * ts);

ARGUMENTS

kt
    the ktime_t variable to convert

ts
    the timespec variable to store the result in

RETURN

true if there was a successful conversion, false if kt was 0.

COPYRIGHT